Subject: bug#78682: Building libltdl with MSVC fails

From: Kirill Makurin <[email-masked]>
Date: Thu, 5 Jun 2025 17:21:05 +0000

If I look at output from configure...

When configure checks for Fortran compiler, it finds mingw's gfortran:

```
checking for gfortran... gfortran
```

And then:

```
checking whether the gfortran linker (link.exe -nologo) supports shared libraries... yes
checking dynamic linker characteristics... Win32 ld.exe
```

Could this be the cause?

- Kirill Makurin

________________________________
From: Ileana Dumitrescu
Sent: Friday, June 6, 2025 1:21 AM
To: [email-masked]
Cc: Kirill Makurin
Subject: Re: bug#78682: Building libltdl with MSVC fails

On 05/06/2025 19:07, Kirill Makurin wrote:
> I will submit a separate bug report for issue with clang-cl.

Thank you!

> I'm setting NM="dumpbin.exe -nologo -symbols", this works for all
> packages I tried to build so far.

Okay, if you do try it, I would be interested to see if the behaviour
changes.

> I'm building multiple GNU packages with a script which invokes
> `configure` -> `make` -> `make check` -> `make install DESTDIR=...` for
> each package.
>
> I attached gziped output from both `configure` and `make`. (building
> from development branch)

Thank you for the logs! I will look through them and see if I can
reproduce your issue.

--
Ileana Dumitrescu

GPG Public Key: FA26 CA78 4BE1 8892 7F22 B99F 6570 EA01 146F 7354